Package org.apache.tomcat.util.descriptor.web

## Class MessageDestination

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.MessageDestination

All Implemented Interfaces:
  `java.io.Serializable`, `Injectable`

    public class MessageDestination
    extends ResourceBase

Representation of a message destination for a web application, as represented in a `<message-destination>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MessageDestination()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getDisplayName()`
`java.lang.String` `getLargeIcon()`
`java.lang.String` `getSmallIcon()`
`int` `hashCode()`
`void` `setDisplayName​(java.lang.String displayName)`
`void` `setLargeIcon​(java.lang.String largeIcon)`
`void` `setSmallIcon​(java.lang.String smallIcon)`
`java.lang.String` `toString()` Return a String representation of this object.

### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

`addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MessageDestination

    public MessageDestination()

### Method Detail

#### getDisplayName

    public java.lang.String getDisplayName()

#### setDisplayName

    public void setDisplayName​(java.lang.String displayName)

#### getLargeIcon

    public java.lang.String getLargeIcon()

#### setLargeIcon

    public void setLargeIcon​(java.lang.String largeIcon)

#### getSmallIcon

    public java.lang.String getSmallIcon()

#### setSmallIcon

    public void setSmallIcon​(java.lang.String smallIcon)

#### toString

    public java.lang.String toString()

Return a String representation of this object.

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ResourceBase`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `ResourceBase`